#!/bin/sh

if test $# -lt 1; then
  echo " "
  echo "Usage: `basename ${0}` file"
  echo "\tStrip out xl4d info and give just data"
  echo " "
  exit 1
fi

TMPFILE=/tmp/life$$
cat $1 | grep -v "^#" | grep -v "^$" > $TMPFILE
DIM=`cat $TMPFILE | head -1 | awk '{print $1}'`
NLINE=`wc -l $TMPFILE | awk '{print $1}'`
echo $DIM $NLINE
NLINE=`echo ${NLINE}-2 | bc`
if test $DIM -eq 2; then
  tail -$NLINE $TMPFILE | awk '{print $1 ", " $2 ","}'
elif test $DIM -eq 3; then
  tail -$NLINE $TMPFILE | awk '{print $1 ", " $2 ", "  $3 ","}'
elif test $DIM -eq 4; then
  tail -$NLINE $TMPFILE | awk '{print $1 ", " $2 ", "  $3 ", " $4 ","}'
fi
rm -f $TMPFILE
